# trober_sdk.model.Order

## Load the model package
```dart
import 'package:trober_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | 
**createdAt** | [**DateTime**](DateTime.md) |  | 
**updatedAt** | [**DateTime**](DateTime.md) |  | 
**createdBy** | **String** |  | [optional] 
**tenantId** | **String** |  | 
**customerId** | **String** |  | [optional] 
**carrierId** | **String** |  | [optional] 
**terminalId** | **String** |  | [optional] 
**serialNumber** | **String** |  | 
**eta** | [**DateTime**](DateTime.md) |  | [optional] 
**soNumber** | **String** |  | [optional] 
**shipline** | **String** |  | [optional] 
**pickupCharges** | **int** |  | [optional] 
**pickupCost** | **int** |  | [optional] 
**dropoffCharges** | **int** |  | [optional] 
**dropoffCost** | **int** |  | [optional] 
**rld** | **String** |  | [optional] 
**erd** | [**DateTime**](DateTime.md) |  | [optional] 
**docco** | [**DateTime**](DateTime.md) |  | [optional] 
**lfd** | [**DateTime**](DateTime.md) |  | [optional] 
**containerStatus** | **String** |  | [optional] 
**shipmentCount** | **int** |  | [optional] 
**status** | [**OrderStatus**](OrderStatus.md) |  | 
**type** | [**ShipmentType**](ShipmentType.md) |  | [optional] 
**customer** | [**Customer**](Customer.md) |  | [optional] 
**carrier** | [**Carrier**](Carrier.md) |  | [optional] 
**terminal** | [**Terminal**](Terminal.md) |  | [optional] 
**shipments** | [**BuiltList&lt;Shipment&gt;**](Shipment.md) | A list of Shipments | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


