# trober_sdk.model.Shipment

## Load the model package
```dart
import 'package:trober_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [default to '00000000-0000-0000-0000-000000000000']
**createdAt** | [**DateTime**](DateTime.md) |  | 
**updatedAt** | [**DateTime**](DateTime.md) |  | 
**createdBy** | **String** |  | [optional] 
**tenantId** | **String** |  | 
**carrierId** | **String** |  | [optional] 
**orderId** | **String** |  | [optional] 
**customerId** | **String** |  | [optional] 
**serialNumber** | **String** |  | 
**origin** | **String** |  | [optional] 
**destination** | **String** |  | [optional] 
**reservationTime** | [**DateTime**](DateTime.md) |  | [optional] 
**size** | [**ShipmentSize**](ShipmentSize.md) |  | [optional] 
**type** | [**ShipmentType**](ShipmentType.md) |  | 
**status** | [**ShipmentStatus**](ShipmentStatus.md) |  | 
**driverId** | **String** |  | [optional] 
**driver** | [**User**](User.md) |  | [optional] 
**order** | [**Order**](Order.md) |  | [optional] 
**customer** | [**Customer**](Customer.md) |  | [optional] 
**carrier** | [**Carrier**](Carrier.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


